igeo

## Class IInteger

- java.lang.Object
- - igeo.IParameterObject
  - - igeo.IInteger

- All Implemented Interfaces:
    IEntityParameter, IIntegerI, IIntegerOp, IParameter, IScalar, ISubobject, IVal

      public class IInteger
      extends IParameterObject
      implements IIntegerI, IEntityParameter

  Entity class of integer to be used as IParameterObject.
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `x`

    - ### Fields inherited from class igeo.IParameterObject

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IInteger()`
    `IInteger(double v)`
    `IInteger(IDoubleI v)`
    `IInteger(IInteger i)`
    `IInteger(IIntegerI i)`
    `IInteger(int i)`
    `IInteger(IServerI s)`
    `IInteger(IServerI s, double v)`
    `IInteger(IServerI s, IDoubleI v)`
    `IInteger(IServerI s, IInteger i)`
    `IInteger(IServerI s, IIntegerI i)`
    `IInteger(IServerI s, int i)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IInteger` | `add(IInteger v)`
    `IInteger` | `add(IIntegerI v)`
    `IInteger` | `add(int i)`
    `IInteger` | `cp()` alias of dup()
    `IInteger` | `cp(IInteger v)` duplicate and add
    `IInteger` | `cp(IIntegerI v)` duplicate and add
    `IInteger` | `cp(int v)` duplicate and add
    `IInteger` | `div(IInteger v)`
    `IInteger` | `div(IIntegerI v)`
    `IInteger` | `div(int i)`
    `IInteger` | `dup()`
    `boolean` | `eq(IInteger v)`
    `boolean` | `eq(IIntegerI v)`
    `boolean` | `eq(int v)`
    `boolean` | `eq(ISwitchE e, IIntegerI v)`
    `IBool` | `eq(ISwitchR r, IIntegerI v)`
    `IInteger` | `get()`
    `IInteger` | `getX()`
    `IInteger` | `mod(IInteger v)`
    `IInteger` | `mod(IIntegerI v)`
    `IInteger` | `mod(int i)`
    `IInteger` | `mul(IInteger v)`
    `IInteger` | `mul(IIntegerI v)`
    `IInteger` | `mul(int i)`
    `IInteger` | `neg()`
    `IInteger` | `set(double v)`
    `IInteger` | `set(IDoubleI v)`
    `IInteger` | `set(IInteger v)`
    `IInteger` | `set(IIntegerI v)` convert reference tree to one constant value
    `IInteger` | `set(int v)`
    `IInteger` | `sub(IInteger v)`
    `IInteger` | `sub(IIntegerI v)`
    `IInteger` | `sub(int i)`
    `int` | `x()`

    - ### Methods inherited from class igeo.IParameterObject

      `createObject, parent, parent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### x

          public int x

  - ### Constructor Detail

    - #### IInteger

          public IInteger()

    - #### IInteger

          public IInteger(int i)

    - #### IInteger

          public IInteger(IInteger i)

    - #### IInteger

          public IInteger(IIntegerI i)

    - #### IInteger

          public IInteger(double v)

    - #### IInteger

          public IInteger(IDoubleI v)

    - #### IInteger

          public IInteger(IServerI s)

    - #### IInteger

          public IInteger(IServerI s,
                          int i)

    - #### IInteger

          public IInteger(IServerI s,
                          IInteger i)

    - #### IInteger

          public IInteger(IServerI s,
                          IIntegerI i)

    - #### IInteger

          public IInteger(IServerI s,
                          double v)

    - #### IInteger

          public IInteger(IServerI s,
                          IDoubleI v)

  - ### Method Detail

    - #### x

          public int x()

      Specified by:
        `x` in interface `IIntegerI`
      Specified by:
        `x` in interface `IIntegerOp`
      Returns:
        Primitive value.

    - #### get

          public IInteger get()

      Specified by:
        `get` in interface `IIntegerI`
      Specified by:
        `get` in interface `IIntegerOp`
      Specified by:
        `get` in interface `IParameter`
      Returns:
        Fixed value but in wrapper class.

    - #### getX

          public IInteger getX()

      Specified by:
        `getX` in interface `IIntegerI`
      Returns:
        Generic parameter of the value (either of entity class or reference class).

    - #### dup

          public IInteger dup()

      Specified by:
        `dup` in interface `IIntegerI`
      Returns:
        Duplicated instance.

    - #### cp

          public IInteger cp()

      alias of dup()
      Specified by:
        `cp` in interface `IIntegerI`

    - #### cp

          public IInteger cp(int v)

      duplicate and add
      Specified by:
        `cp` in interface `IIntegerI`

    - #### cp

          public IInteger cp(IInteger v)

      duplicate and add

    - #### cp

          public IInteger cp(IIntegerI v)

      duplicate and add
      Specified by:
        `cp` in interface `IIntegerI`

    - #### set

          public IInteger set(int v)

      Specified by:
        `set` in interface `IIntegerI`

    - #### set

          public IInteger set(IInteger v)

    - #### set

          public IInteger set(IIntegerI v)

      Description copied from interface: `IIntegerI`
      convert reference tree to one constant value
      Specified by:
        `set` in interface `IIntegerI`

    - #### set

          public IInteger set(double v)

      Specified by:
        `set` in interface `IIntegerI`

    - #### set

          public IInteger set(IDoubleI v)

      Specified by:
        `set` in interface `IIntegerI`

    - #### add

          public IInteger add(int i)

      Specified by:
        `add` in interface `IIntegerI`

    - #### add

          public IInteger add(IInteger v)

    - #### add

          public IInteger add(IIntegerI v)

      Specified by:
        `add` in interface `IIntegerI`

    - #### sub

          public IInteger sub(int i)

      Specified by:
        `sub` in interface `IIntegerI`

    - #### sub

          public IInteger sub(IInteger v)

    - #### sub

          public IInteger sub(IIntegerI v)

      Specified by:
        `sub` in interface `IIntegerI`

    - #### mul

          public IInteger mul(int i)

      Specified by:
        `mul` in interface `IIntegerI`

    - #### mul

          public IInteger mul(IInteger v)

    - #### mul

          public IInteger mul(IIntegerI v)

      Specified by:
        `mul` in interface `IIntegerI`

    - #### div

          public IInteger div(int i)

      Specified by:
        `div` in interface `IIntegerI`

    - #### div

          public IInteger div(IInteger v)

    - #### div

          public IInteger div(IIntegerI v)

      Specified by:
        `div` in interface `IIntegerI`

    - #### neg

          public IInteger neg()

      Specified by:
        `neg` in interface `IIntegerI`

    - #### mod

          public IInteger mod(int i)

      Specified by:
        `mod` in interface `IIntegerI`

    - #### mod

          public IInteger mod(IInteger v)

    - #### mod

          public IInteger mod(IIntegerI v)

      Specified by:
        `mod` in interface `IIntegerI`

    - #### eq

          public boolean eq(int v)

      Specified by:
        `eq` in interface `IIntegerI`

    - #### eq

          public boolean eq(IInteger v)

    - #### eq

          public boolean eq(IIntegerI v)

      Specified by:
        `eq` in interface `IIntegerI`

    - #### eq

          public boolean eq(ISwitchE e,
                            IIntegerI v)

      Specified by:
        `eq` in interface `IIntegerI`

    - #### eq

          public IBool eq(ISwitchR r,
                          IIntegerI v)

      Specified by:
        `eq` in interface `IIntegerI`